#ifndef _ARENA_H_
#define _ARENA_H_

#include <stdio.h>
#include <math.h>

#include "allegro.h"

#include <vector>
using namespace std;

class arena
{
public:
  arena ();
  ~arena ();

  void setArenaSize (int, int);
  int getArenaSizeX ();
  int getArenaSizeY ();

  void setArenaPic (BITMAP *);
  BITMAP * getArenaPic ();

  void setKnockbackCap (fixed & kbc);
  const fixed & getKnockbackCap ();

protected:

  int sizeX, sizeY;
  BITMAP * arenaPic;
  fixed knockbackCap;
};

#endif
