#ifndef _DATAOBJ_H_
#define _DATAOBJ_H_

#include <stdio.h>
#include <math.h>
#include "allegro.h"
#include "videoSettings.h"
#include "inputObj.h"
#include "arena.h"
#include <vector>
using namespace std;

////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
class dataObj {

public:
  dataObj ();

  void readConfig ();

  //   general video settings
protected:
  videoSettings * vS;

public:
  videoSettings * getVideoSettings ();
  int setVideoSettings (videoSettings *);

  //input
protected:
  inputObj * inpObj;

public:
  inputObj * getInputObj ();
  int setInputObj (inputObj *);

  //arena settings
protected:
  arena * aren;

public:
  arena * getArena ();
  int setArena (arena *);

  //datafile (allegro term for data, music, pics) settings
protected:
  DATAFILE * picData;

public:
  DATAFILE * getDatafile ();
  DATAFILE * setDatafile (const char *);

public:
  ~dataObj ();

 public:
  int arenaNum;

};

//////////////////////////////////////////  END OF dataObj
#endif
