//this is a list of game constants. So there.

#include "allegro.h"

//key bindings
#define keyNumberOfKeys              8
#define keyBindUp                    KEY_W
#define keyBindDown                  KEY_S
#define keyBindLeft                  KEY_A
#define keyBindRight                 KEY_D
#define keyBindDefense               KEY_SPACE
#define keyBindMenu                  KEY_F10
#define keyBindPause                 KEY_TAB
#define keyBindQuit                  KEY_ESC

//key presses
#define keyUp                    0
#define keyDown                  1
#define keyLeft                  2
#define keyRight                 3
#define keyDefense               4
#define keyMenu                  5
#define keyPause                 6
#define keyQuit                  7

//Character status
#define charStatusIdle           0
#define charStatusRun            1
#define charStatusAttack1        2
#define charStatusAttack2        3
#define charStatusAttack3        4
#define charStatusDefense        5
#define charStatusDead           6
#define charStatusStun           7
#define charStatusTaunt          8

//Character animation
#define charAnimNum            8
#define charAnimIdle           0
#define charAnimRun            1
#define charAnimAttack1        2
#define charAnimAttack2        3
#define charAnimAttack3        4
#define charAnimDefense        5
#define charAnimDead           6
#define charAnimStun           7
#define charAnimTaunt          8

//UnitGeneralType
#define numUnitTypes         10
#define unitNull             0
#define unitPlayer           1
#define unitHomer            2
#define unitPoleonShot       3
#define unitPoleonCircle     4
#define unitPolosion         5
#define unitPoleon           6
#define unitBadmojo          7
#define unitJuiceBox         8
#define unitPlayerAim        9

//Knockback types
#define knockbackRelative      0
#define knockbackAbsolute      1
#define knockbackAbsoluteOnly  2

//search criterion
#define searchByUnitType      0
#define searchByOwner         1
#define searchByAffiliation   2

//collide criterion
#define collideBoth           0
#define collideDamageOnly     1
#define collideKnockbackOnly  2
#define collideIgnore         3

//status Ailments
#define numStatusAilment             7
#define statusAilmentSpeedBoost      0
#define statusAilmentNoJuice         1
#define statusAilmentLessDamage      2
#define statusAilmentStun            3
#define statusAilmentInvic           4
#define statusAilmentMoreJuice       5
#define statusAilmentSpeedSlow       6

//movement type
#define moveTypeNormal 0
#define moveTypeDirect 1
#define moveTypeStuckToOwner 2

//movement type
#define affiliationPlayer 0
#define affiliationEnemy 1
#define affiliationNeutral 2

//battlemode status
#define battleModeIntro      0
#define battleModeInProgress 1
#define battleModeTimeUp     2
#define battleModeYouWin     3
#define battleModeYouLose    4
