#ifndef _PLAYERUNIT_CPP
#define _PLAYERUNIT_CPP_

#include "allegro.h"
#include "dataObj.h"
#include "unit.h"
#include "unitList.h"
#include "unitCreate.h"
#include "inputObj.h"
#include "cursor.h"
#include "gameConstants.h"
#include "tasmMath.h"

#include "playerUnit.h"

#include <vector>
using namespace std;

playerUnit :: playerUnit ()
{
}

void playerUnit :: init (int param1, int param2, int param3)
{
  costOfAttack1 = 0;
  costOfAttack2 = 0;
  costOfAttack3 = 0;

  setAffiliation (affiliationPlayer);
}


void playerUnit :: processInput (dataObj * dO, unitList * units)
{
}

void playerUnit :: addAttacks (dataObj * dO, unitList * units, int attack)
{
}

int playerUnit :: getHPBarColor ()
{
  //this tells battlemain what color it should be using for the health bar.
  float ratiohp = 0.0;

  if (getMaxHP () > 0)
    ratiohp = (1.0 * getHP ()) / (1.0 * getMaxHP ());

  if (ratiohp < .2)
    return makecol (125, 36, 36); //red
  else if (ratiohp < .5)
    return makecol (86, 71, 154); //blue
  else if (ratiohp < 1.0)
    return makecol (82, 179, 107); //green    
  else
    return makecol (204, 187, 46); //gold
  return 0;
}

playerUnit :: ~playerUnit ()
{
}
#endif
