#ifndef _ARENA_CPP_
#define _ARENA_CPP_

#include <stdio.h>
#include <math.h>

#include "allegro.h"
#include "arena.h"

#include <vector>
using namespace std;

//////////////////////////////////////////  START OF terrain

arena :: arena ()
{
  sizeX = 500, sizeY = 400;
  arenaPic = NULL;
  knockbackCap = itofix(20);
}

int arena :: getArenaSizeX ()
{
  return sizeX;
}

int arena :: getArenaSizeY ()
{
  return sizeY;
}

void arena :: setArenaSize (int x, int y)
{
  sizeX = x;
  sizeY = y;
}

BITMAP * arena :: getArenaPic ()
{
  return arenaPic;
}

void arena :: setArenaPic (BITMAP * pic)
{
  arenaPic = pic;
}

void arena :: setKnockbackCap (fixed & kbc)
{
  knockbackCap = kbc;
}

const fixed & arena :: getKnockbackCap ()
{
  return knockbackCap;
}

arena :: ~arena ()
{
  destroy_bitmap (arenaPic);
}

//////////////////////////////////////////  END OF arena

#endif
