#ifndef _CURSOR_CPP_
#define _CURSOR_CPP_

#include <stdio.h>
#include <math.h>

#include "allegro.h"
#include "cursor.h"

#include <vector>
using namespace std;

//////////////////////////////////////////  START OF cursor

cursor :: cursor ()
{
  cursorPic = NULL;
  curMickeysX = 0;
  curMickeysY = 0;
}

void cursor :: getCursor (int & x, int & y)
{
  x = curX;
  y = curY;
}

void cursor :: setCursor (int x, int y)
{
  curX = x;
  curY = y;
}

void cursor :: getCursorShouldBe (int & x, int & y)
{
  x = curShouldBeX;
  y = curShouldBeY;
}

void cursor :: setCursorShouldBe (int x, int y)
{
  curShouldBeX = x;
  curShouldBeY = y;
}

void cursor :: getMouseMickeys (int & x, int & y)
{
  x = curMickeysX;
  y = curMickeysY;
}

void cursor :: setMouseMickeys (int x, int y)
{
  curMickeysX = x;
  curMickeysY = y;
}

BITMAP * cursor :: getCursorPic ()
{
  return cursorPic;
}

void cursor :: setCursorPic (BITMAP * cp)
{
  cursorPic = cp;
}

cursor :: ~cursor ()
{
  destroy_bitmap (cursorPic);
}

//////////////////////////////////////////  END OF cursor

#endif
